package com.qmth.ops.biz.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.ai.model.llm.LlmAppType;
import com.qmth.ops.biz.dao.LlmPromptTemplateDao;
import com.qmth.ops.biz.domain.LlmPromptTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class LlmPromptTemplateService extends ServiceImpl<LlmPromptTemplateDao, LlmPromptTemplate> {

    @Resource
    private LlmPromptTemplateDao llmPromptTemplateDao;

    public LlmPromptTemplate findByAppType(LlmAppType appType, Long modelId) {
        return llmPromptTemplateDao.selectOne(
                new LambdaQueryWrapper<LlmPromptTemplate>().eq(LlmPromptTemplate::getAppType, appType)
                        .eq(LlmPromptTemplate::getModelId, modelId));
    }

}

